%global base_name libwbxml
Name:           %{base_name}-compat
Version:        0.10.9
Release:        3%{?dist}
Summary:        Library to parse, encode and handle WBXML documents
Group:          System Environment/Libraries
# Library is LGPLv2+, xml2wbxml_tool is GPLv2+
License:        LGPLv2+ and GPLv2+
URL:            https://libwbxml.opensync.org/
Source:         http://downloads.sourceforge.net/%{base_name}/%{base_name}-%{version}.tar.bz2
Patch0:         libwbxml-0.10.9-pkg-config-module-links-against-compat-library.patch
BuildRequires:  cmake, expat-devel, perl
Obsoletes:      wbxml2 <= 0.9.3

%description
WBXML parses, encodes and handles WBXML documents. The WBXML format is
a binary representation of XML, defined by the Wap Forum, and used to reduce
bandwidth in mobile communications.

This WBXML library is compatible library to provide old API of libwbxml before
0.11.0 version. Latest WBXML library and WBXML tools are available in
`libwbxml' package.


%package devel
Group:         Development/Libraries
Summary:       Development files of %{name}
Requires:      %{name}%{?_isa} = %{version}-%{release}
Requires:      libxml2-devel, pkgconfig
Provides:      wbxml2-devel = %{version}-%{release}
Obsoletes:     wbxml2-devel <= 0.9.3

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{base_name} before 0.11.0 version. The
linking library and pkg-config module are called `libwbxml2-compat-0'.


%prep
%setup -q -n %{base_name}-%{version}
%patch0 -p1 -b .compat
# no line terminator, add one
for F in BUGS THANKS; do
    sed -e '$a\' "$F" > "${F}.new"
    touch -r "$F"{,.new}
    mv "$F"{.new,}
done

%build
# Upstream does not support in-source-directory building
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd
make -C %{_target_platform} %{?_smp_mflags}

%install
make -C %{_target_platform} install/fast DESTDIR=$RPM_BUILD_ROOT
rm -r $RPM_BUILD_ROOT/usr/share/doc/%{base_name}
# Rename pkg-config module not to clash with modern libwbxml
mv "$RPM_BUILD_ROOT"/%{_libdir}/pkgconfig/libwbxml2{,-compat-0}.pc
# Remove tools
rm -r $RPM_BUILD_ROOT/%{_bindir}/*
# Rename library used for compile-time linking
mv "$RPM_BUILD_ROOT"/%{_libdir}/libwbxml2{,-compat-0}.so


%check
cd %{_target_platform}
ctest

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS BUGS ChangeLog COPYING GNU-LGPL NEWS README References THANKS TODO
%{_libdir}/libwbxml2.so.*

%files devel
%{_includedir}/*
%{_libdir}/libwbxml2-compat-0.so
%{_libdir}/pkgconfig/libwbxml2-compat-0.pc

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug 29 2011 Petr Pisar <ppisar@redhat.com> - 0.10.9-1
- Spec file based on libwbxml package to provide old libraries before API
  change (bug #731304)
